<?xml version="1.0" encoding="utf-8" ?>
<table name="project_subitem" desc="项目子项列表">
    <column isNull="false" isPK="true" name="id" caption="主键" dbtype="varchar(36)"
            type="string" size="36">
        <auto value="$uuid" update="false">
        </auto>
    </column>
    <column isNull="false" name="project_id" caption="所属项目ID" type="string" size="36" dbtype="varchar(36)"/>
    <column isNull="false" name="subitem_name" caption="子项名称" type="string" size="36" dbtype="varchar(36)"/>
    <column isNull="false" name="building_area" caption="建筑面积" type="string" size="36" dbtype="varchar(36)"/>
    <column isNull="false" name="contract_money" caption="合同金额" type="string" size="36" dbtype="varchar(36)"/>
    <column isNull="false" name="subitem_code" caption="子项协议编号" type="string" size="36" dbtype="varchar(36)"/>
    <column isNull="false" name="production_total" caption="机电总产值" type="string" size="36"
            dbtype="varchar(36)"/>
    <column isNull="false" name="drainage_ratio" caption="给排水专业比例" type="int32"/>
    <column isNull="false" name="electric_ratio" caption="电气专业比例" type="int32"/>
    <column isNull="false" name="air_condition_ratio" caption="空调专业比例" type="int32"/>
    <column isNull="false" name="heating_ratio" caption="暖通专业比例" type="int32"/>
    <column isNull="false" name="intelligent_ratio" caption="智能化专业比例" type="int32"/>
    <column isNull="false" name="green_build_ratio" caption="绿建专业比例" type="int32"/>
    <column isNull="false" name="del_flag" caption="是否删除 1：删除   0：正常" type="int32"/>
    <column isNull="false" name="create_by" caption="创建人" type="string" size="36" dbtype="varchar(36)"/>
    <column isNull="false" name="create_time" caption="创建时间" type="datetime"/>
    <column isNull="false" name="last_update_by" caption="最后更新人" type="string" size="36" dbtype="varchar(36)"/>
    <column isNull="false" name="last_update_date" caption="最后更新时间" type="datetime"/>
</table>
